require_relative 'ec2'
module Awsom
  module Image

    @cache = {}

    def self.block_device_mappings(image_id)
      image = describe(image_id)
      image.block_device_mappings
    end

    def self.describe(image_id)
      if image = @cache[image_id]
        return image
      else
        @cache[image_id] = Ec2.describe_images(image_ids: [image_id]).images[0]
      end
    end

  end
end
