require_relative 'logger'
module Awsom
  class Lock

    include Logger

    def acquire
      logger.debug "acquiring lock"
      lock_acquired = lock_file.flock(File::LOCK_NB | File::LOCK_EX)
      raise "exclusive lock not available" if not lock_acquired
    end

    def lock_file
      @lock_file ||= File.open(".awsom.lock", "a+")
    end

  end
end

