require 'logger'
require_relative 'custom_logger'
module Awsom
  module Logger
    
    def self.logger
      @logger ||= CustomLogger.new(STDOUT)
    end 

    def self.stderr
      @stderr ||= ::Logger.new(STDERR)
    end 

    def logger
      ::Awsom::Logger.logger
    end 

    def stderr
      ::Awsom::Logger.stderr
    end 

    def debug?
      logger.level == ::Logger::DEBUG
    end

  end 
end
